Package org.eclipse.gef.ui.actions

# Class SetActivePaletteToolAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.gef.ui.actions.SetActivePaletteToolAction

All Implemented Interfaces:
  `IAction`

public class SetActivePaletteToolAction extends Action
This action sets a Tool to be the active entry in the PaletteViewer.

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`SetActivePaletteToolAction(PaletteViewer viewer, String label, ImageDescriptor icon, boolean isChecked, ToolEntry entry)`
Creates a new SetActivePaletteToolAction with the given entry to set, as well as a label, icon, and isChecked to be used in a menu.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SetActivePaletteToolAction

public SetActivePaletteToolAction(PaletteViewer viewer, String label, ImageDescriptor icon, boolean isChecked, ToolEntry entry)
Creates a new SetActivePaletteToolAction with the given entry to set, as well as a label, icon, and isChecked to be used in a menu.

Parameters:
  `viewer` - the PaletteViewer
  `label` - the label to show in the menu for this entry.
  `icon` - the icon to show in the menu for this entry.
  `isChecked` - whether or not this is the current active entry.
  `entry` - the entry to set if this action is invoked.

## Method Details

### run

public void run()

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  - `IAction.run()`